langchain
faiss-cpu
notebook
pandas 
numpy 
scikit-learn
langchain-community
langchain-openai
langchain-huggingface
langchain-text-splitters
unstructured[all-docs]
docx2txt
docx
fastapi[standard]
pdfplumber
pytesseract
groq
python-dotenv
pydub 